## dosage 1.10

=== Makefile ===
# This Makefile is only used by developers.
PYVER:=2.7
PYTHON:=python$(PYVER)
VERSION:=$(shell $(PYTHON) setup.py --version)
MAINTAINER:=$(shell $(PYTHON) setup.py --maintainer)
AUTHOR:=$(shell $(PYTHON) setup.py --author)
APPNAME:=$(shell $(PYTHON) setup.py --name)
LAPPNAME:=$(shell echo $(APPNAME)|tr "[A-Z]" "[a-z]")
ARCHIVE_SOURCE:=$(LAPPNAME)-$(VERSION).tar.gz
ARCHIVE_WIN32:=$(LAPPNAME)-$(VERSION).exe
GITUSER:=wummel
GITREPO:=$(LAPPNAME)
HOMEPAGE:=$(HOME)/public_html/$(LAPPNAME).git
DEBUILDDIR:=$(HOME)/projects/debian/official
DEBORIGFILE:=$(DEBUILDDIR)/$(LAPPNAME)_$(VERSION).orig.tar.gz
DEBPACKAGEDIR:=$(DEBUILDDIR)/$(LAPPNAME)-$(VERSION)
PY_FILES_DIRS := dosage dosagelib scripts tests
PY2APPOPTS ?=
# Default pytest options
# Note that using -n silently swallows test creation exceptions like
# import errors.
PYTESTOPTS?=--resultlog=testresults.txt --tb=short --durations=0 -n4
CHMODMINUSMINUS:=--
# directory or file with tests to run
TESTS ?= tests
# set test options, eg. to "--verbose"
TESTOPTS=

all:

chmod:
	-chmod -R a+rX,u+w,go-w $(CHMODMINUSMINUS) *
	find . -type d -exec chmod 755 {} \;

dist:
	[ -d dist ] || mkdir dist
	git archive --format=tar --prefix=$(LAPPNAME)-$(VERSION)/ HEAD | gzip -9 > dist/$(ARCHIVE_SOURCE)
	[ ! -f ../$(ARCHIVE_WIN32) ] || cp ../$(ARCHIVE_WIN32) dist

sign:
	[ -f dist/$(ARCHIVE_SOURCE).asc ] || gpg --detach-sign --armor dist/$(ARCHIVE_SOURCE)
	[ -f dist/$(ARCHIVE_WIN32).asc ] || gpg --detach-sign --armor dist/$(ARCHIVE_WIN32)

upload:
	github-upload $(GITUSER) $(GITREPO) \
	  dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_WIN32) \
	  dist/$(ARCHIVE_SOURCE).asc dist/$(ARCHIVE_WIN32).asc

testresults:
	scripts/mktestpage.py testresults.txt $(HOMEPAGE)/content

homepage:
# update metadata
	@echo "version: $(VERSION)" > $(HOMEPAGE)/info.yaml
	@echo "name: $(APPNAME)" >> $(HOMEPAGE)/info.yaml
	@echo "lname: $(LAPPNAME)" >> $(HOMEPAGE)/info.yaml
	@echo "maintainer: $(MAINTAINER)" >> $(HOMEPAGE)/info.yaml
	@echo "author: $(AUTHOR)" >> $(HOMEPAGE)/info.yaml
# generate static files
	$(MAKE) -C doc
	cp doc/$(LAPPNAME).1.html $(HOMEPAGE)/content
	make -C $(HOMEPAGE) gen

release: distclean releasecheck
	$(MAKE) dist sign upload homepage tag register deb

tag:
	git tag upstream/$(VERSION)
	git push --tags origin upstream/$(VERSION)

register:
	@echo "Register at Python Package Index..."
	$(PYTHON) setup.py register
	@echo "Submit to freecode..."
	freecode-submit < $(LAPPNAME).freecode

releasecheck: check
	@if egrep -i "xx\.|xxxx|\.xx" doc/changelog.txt > /dev/null; then \
	  echo "Could not release: edit doc/changelog.txt release date"; false; \
	fi
	@if [ ! -f ../$(ARCHIVE_WIN32) ]; then \
	  echo "Missing WIN32 distribution archive at ../$(ARCHIVE_WIN32)"; \
	  false; \
	fi
	@if ! grep "Version: $(VERSION)" $(LAPPNAME).freecode > /dev/null; then \
	  echo "Could not release: edit $(LAPPNAME).freecode version"; false; \
	fi
	$(PYTHON) setup.py check --restructuredtext

# The check programs used here are mostly local scripts on my private system.
# So for other developers there is no need to execute this target.
check:
	check-copyright
	check-pofiles -v
	py-tabdaddy
	py-unittest2-compat tests/
	$(MAKE) doccheck
	$(MAKE) pyflakes

doccheck:
	py-check-docstrings --force \
	  dosagelib/*.py \
	  dosage \
	  scripts \
	  *.py

pyflakes:
	pyflakes $(PY_FILES_DIRS)

count:
	@sloccount $(PY_FILES_DIRS)

clean:
	find . -name \*.pyc -delete
	find . -name \*.pyo -delete
	rm -rf build dist

distclean: clean
	rm -rf build dist $(APPNAME).egg-info $(LAPPNAME).prof test.sh
	rm -f _$(APPNAME)_configdata.py MANIFEST

localbuild:
	$(PYTHON) setup.py build

test:	localbuild
	env LANG=en_US.utf-8 http_proxy="" $(PYTHON) -m pytest $(PYTESTOPTS) $(TESTOPTS) $(TESTS)

deb:
# build a debian package
	[ -f $(DEBORIGFILE) ] || cp dist/$(ARCHIVE_SOURCE) $(DEBORIGFILE)
	sed -i -e 's/VERSION_$(LAPPNAME):=.*/VERSION_$(LAPPNAME):=$(VERSION)/' $(DEBUILDDIR)/$(LAPPNAME).mak
	[ -d $(DEBPACKAGEDIR) ] || (cd $(DEBUILDDIR); \
	  patool extract $(DEBORIGFILE); \
	  cd $(CURDIR); \
	  git checkout debian; \
	  cp -r debian $(DEBPACKAGEDIR); \
	  git checkout master)
	$(MAKE) -C $(DEBUILDDIR) $(LAPPNAME)_clean $(LAPPNAME)

update-copyright:
# update-copyright is a local tool which updates the copyright year for each
# modified file.
	update-copyright --holder="$(MAINTAINER)"

changelog:
# github-changelog is a local tool which parses the changelog and automatically
# closes issues mentioned in the changelog entries.
	github-changelog $(DRYRUN) $(GITUSER) $(GITREPO) doc/changelog.txt

.PHONY: update-copyright deb test clean distclean count pyflakes changelog
.PHONY: doccheck check releasecheck release dist chmod localbuild sign register tag

=== requirements.txt ===
requests
# optional: optcomplete

=== debian/changelog ===
dosage (1.10-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 11 Feb 2013 06:58:17 +0100

dosage (1.9-1) unstable; urgency=low

  * New upstream release.
    - documents parallel download option with xargs
      (Closes: #452484)

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 24 Jan 2013 07:55:05 +0100

dosage (1.8-1) unstable; urgency=low

  * New upstream release.
  * Adopt the package (Closes: #698303)
  * Add watch file.
  * Updated Standards version to 3.9.4

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 17 Jan 2013 18:02:26 +0100

dosage (1.7-1) unstable; urgency=low

  * New upstream release.
    - Add dependencies on python-requests and python-optcomplete
    - Remove dependencies on python-twisted-core and python-zopeinterface
    - Require Python >= 2.7
    - Supports robots.txt (Closes: #376813)
  * Use dh in debian/rules
  * Remove old plugin cache files on postinst (Closes: #672153)
  * Use debhelper compatibility level 9
  * Use Debian source format v3.0
  * Use xz for debian binary package compression

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 18 Dec 2012 18:56:42 +0100

dosage (1.6.0-1) unstable; urgency=low

  * New upstream release.
    - License change to MIT-style license: updated debian/copyright.
    - New dependencies on python-twisted-core and python-zopeinterface.
    - Python 2.4 is now the minimum support version.
  * Bump Standards-Version.
  * Update my e-mail address.
  * Building with a new python-central (closes: #490459).

 -- Tristan Seligmann <mithrandi@mithrandi.net>  Wed, 16 Jul 2008 04:34:30 +0200

dosage (1.5.8-2) unstable; urgency=low

  * Brown paper bag release.
  * The 1.5.8-1 diff reverted everything back to 1.5.7; the diff should now
    hopefully be correct.
  * Bump python-central dependency.
  * Raise debhelper compat level to 5 (no changes necessary).
  * Make Homepage a real control field.
  * Remove lintian overrides that are no longer needed.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Mon, 12 Nov 2007 20:38:54 +0200

dosage (1.5.8-1) unstable; urgency=low

  * New upstream release (closes: #383926).
  * Build-Depend on python-dev, not python-all-dev.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Mon, 21 Aug 2006 13:36:23 +0200

dosage (1.5.7-2) unstable; urgency=low

  * Convert to python-central and new Python policy.
  * Add lintian source overrides.
  * Bump Standards-Version to 3.7.2 (no changes required).

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Sat, 17 Jun 2006 04:37:29 +0200

dosage (1.5.7-1) unstable; urgency=medium

  * New upstream release.
    - Fixes a potentially nasty bug in the SmackJeeves module; catchup would
      loop around from the beginning back to the end, thus never ending, and
      resulting in excessive hits to the SmackJevees server.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Sun,  2 Apr 2006 04:20:22 +0200

dosage (1.5.6-1) unstable; urgency=low

  * The "Christmas break" release.
  * New upstream release.
    - Fixed QuestionableContent image regex (closes: #330145).
    - Fixed PiledHigherAndDeeper module (closes: #330879).
  * Changed build-deps to allow building against python2.4.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Tue, 27 Dec 2005 13:05:55 +0200

dosage (1.5.5-1) unstable; urgency=low

  * New upstream release.
    - Fixed SluggyFreelance image regex (closes: #324638).

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Sun, 18 Sep 2005 17:41:58 +0200

dosage (1.5.4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version.
  * Remove pointless unversioned build-dep on build-essential.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Sun, 21 Aug 2005 22:31:48 +0200

dosage (1.5.3-1) unstable; urgency=low

  * New upstream release.
  * Stop autogenerating debian/control with CDBS.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Sun, 19 Jun 2005 20:04:07 +0200

dosage (1.5.2-1) unstable; urgency=low

  * New upstream release.
    - Removed debugging cruft (closes: #304900).

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Mon, 18 Apr 2005 21:17:03 +0200

dosage (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * setup.py change merged upstream.
  * Add debian/watch file.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Fri, 25 Mar 2005 20:59:13 +0200

dosage (1.4.0-1) unstable; urgency=low

  * Initial release (closes: #288874).
  * Remove version import from setup.py, thus avoiding creation of *.pyc files
    while building.

 -- Tristan Seligmann <mithrandi@mithrandi.za.net>  Sun,  9 Jan 2005 23:22:04 +0200

=== debian/control ===
Source: dosage
Section: net
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.7)
X-Python-Version: >= 2.7
Standards-Version: 3.9.4
Homepage: http://wummel.github.com/dosage/

Package: dosage
Architecture: all
Depends: python-requests,
         ${python:Depends},
         ${misc:Depends}
Suggests: python-optcomplete
Provides: ${python:Provides}
Description: commandline webcomic downloader and archiver
 Dosage allows webcomics to be downloaded. It can retrieve just the latest
 strip in a comic, catch-up to the last strip downloaded, or download a
 strip for a particular date/index if the webcomic's site layout
 allows it.

=== debian/watch ===
# watch control file for uscan
version=3
http://wummel.github.com/dosage/ \
  http://github.com/downloads/wummel/dosage/dosage-(.*).tar.gz

## dosage 2.5

=== Makefile ===
# This Makefile is only used by developers.
PYTHON:=python
VERSION:=$(shell $(PYTHON) setup.py --version)
MAINTAINER:=$(shell $(PYTHON) setup.py --maintainer)
AUTHOR:=$(shell $(PYTHON) setup.py --author)
APPNAME:=$(shell $(PYTHON) setup.py --name)
LAPPNAME:=$(shell echo $(APPNAME)|tr "[A-Z]" "[a-z]")
ARCHIVE_SOURCE:=$(LAPPNAME)-$(VERSION).tar.gz
ARCHIVE_WIN32:=$(LAPPNAME)-$(VERSION).exe
GITUSER:=wummel
GITREPO:=$(LAPPNAME)
WEB_META:=doc/web/app.yaml
DEBUILDDIR:=$(HOME)/projects/debian/official
DEBORIGFILE:=$(DEBUILDDIR)/$(LAPPNAME)_$(VERSION).orig.tar.gz
DEBPACKAGEDIR:=$(DEBUILDDIR)/$(LAPPNAME)-$(VERSION)
# Default pytest options
# Note that using -n silently swallows test creation exceptions like
# import errors.
PYTESTOPTS?=--resultlog=testresults.txt --tb=short -n10
CHMODMINUSMINUS:=--
# directory or file with tests to run
TESTS ?= tests
# set test options, eg. to "--verbose"
TESTOPTS=

all:

chmod:
	-chmod -R a+rX,u+w,go-w $(CHMODMINUSMINUS) *
	find . -type d -exec chmod 755 {} \;

dist:
	[ -d dist ] || mkdir dist
	git archive --format=tar --prefix=$(LAPPNAME)-$(VERSION)/ HEAD | gzip -9 > dist/$(ARCHIVE_SOURCE)
	[ ! -f ../$(ARCHIVE_WIN32) ] || cp ../$(ARCHIVE_WIN32) dist

sign:
	[ -f dist/$(ARCHIVE_SOURCE).asc ] || gpg --detach-sign --armor dist/$(ARCHIVE_SOURCE)
	[ -f dist/$(ARCHIVE_WIN32).asc ] || gpg --detach-sign --armor dist/$(ARCHIVE_WIN32)

upload:
	github-upload $(GITUSER) $(GITREPO) \
	  dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_WIN32) \
	  dist/$(ARCHIVE_SOURCE).asc dist/$(ARCHIVE_WIN32).asc

homepage:
# update metadata
	@echo "version: \"$(VERSION)\"" > $(WEB_META)
	@echo "name: \"$(APPNAME)\"" >> $(WEB_META)
	@echo "lname: \"$(LAPPNAME)\"" >> $(WEB_META)
	@echo "maintainer: \"$(MAINTAINER)\"" >> $(WEB_META)
	@echo "author: \"$(AUTHOR)\"" >> $(WEB_META)
	git add doc/web/app.yaml
	git commit -m "Updated webpage meta info"
# update documentation and release website
	$(MAKE) -C doc
	$(MAKE) -C doc/web release

release: distclean releasecheck
	$(MAKE) dist sign upload homepage tag register changelog deb

tag:
	git tag upstream/$(VERSION)
	git push --tags origin upstream/$(VERSION)

register:
	@echo "Register at Python Package Index..."
	$(PYTHON) setup.py register
	@echo "Submit to freecode..."
	freecode-submit < $(LAPPNAME).freecode

releasecheck:
	git checkout master
	$(MAKE) check test
# test console output (behaves differently than redirected output)
	$(MAKE) test PYTESTOPTS="-s" TESTS=tests/test_dosage.py
	@if egrep -i "xx\.|xxxx|\.xx" doc/changelog.txt > /dev/null; then \
	  echo "Could not release: edit doc/changelog.txt release date"; false; \
	fi
	@if [ ! -f ../$(ARCHIVE_WIN32) ]; then \
	  echo "Missing WIN32 distribution archive at ../$(ARCHIVE_WIN32)"; \
	  false; \
	fi
	@if ! grep "Version: $(VERSION)" $(LAPPNAME).freecode > /dev/null; then \
	  echo "Could not release: edit $(LAPPNAME).freecode version"; false; \
	fi
	$(PYTHON) setup.py check --restructuredtext
	git checkout debian
	@if ! head -1 debian/changelog | grep "$(VERSION)" > /dev/null; then \
	  echo "Could not release: update debian/changelog version"; false; \
	fi
	@if head -1 debian/changelog | grep UNRELEASED >/dev/null; then \
	  echo "Could not release: set debian/changelog release name"; false; \
	fi
	git checkout master

# The check programs used here are mostly local scripts on my private system.
# So for other developers there is no need to execute this target.
check:
	check-copyright
	check-py-encoding patoolib tests
	check-pofiles -v
	py-tabdaddy
	py-unittest2-compat tests/
	$(MAKE) doccheck

doccheck:
	py-check-docstrings --force \
	  dosagelib/*.py \
	  dosage \
	  scripts \
	  *.py

pyflakes:
	pyflakes dosage dosagelib scripts tests doc/web

count:
	@sloccount dosage dosagelib/*.py

clean:
	find . -name \*.pyc -delete
	find . -name \*.pyo -delete
	rm -rf build dist

distclean: clean
	rm -rf $(APPNAME).egg-info $(LAPPNAME).prof test.sh Comics
	rm -f _$(APPNAME)_configdata.py MANIFEST

localbuild:
	$(PYTHON) setup.py build

test:	localbuild
	env LANG=en_US.utf-8 http_proxy="" $(PYTHON) -m pytest $(PYTESTOPTS) $(TESTOPTS) $(TESTS)

testall:	localbuild
	env LANG=en_UR.utf-8 http_proxy="" TESTALL=1 $(PYTHON) -m pytest $(PYTESTOPTS) $(TESTOPTS) $(TESTS)

deb:
# Build an official .deb package; only useful for Debian maintainers.
# To build a local .deb package, use:
# $ sudo apt-get build-dep dosage; apt-get source dosage; cd dosage-*; debuild binary
	[ -f $(DEBORIGFILE) ] || cp dist/$(ARCHIVE_SOURCE) $(DEBORIGFILE)
	sed -i -e 's/VERSION_$(LAPPNAME):=.*/VERSION_$(LAPPNAME):=$(VERSION)/' $(DEBUILDDIR)/$(LAPPNAME).mak
	[ -d $(DEBPACKAGEDIR) ] || (cd $(DEBUILDDIR); \
	  patool extract $(DEBORIGFILE); \
	  cd $(CURDIR); \
	  git checkout debian; \
	  cp -r debian $(DEBPACKAGEDIR); \
	  rm -f $(DEBPACKAGEDIR)/debian/.gitignore; \
	  git checkout master)
	$(MAKE) -C $(DEBUILDDIR) $(LAPPNAME)_clean $(LAPPNAME)

update-copyright:
# update-copyright is a local tool which updates the copyright year for each
# modified file.
	update-copyright --holder="$(MAINTAINER)"

update-comics:
# update all scripted comic plugins (takes ca. one hour on my computer)
	scripts/generate_json.sh
	scripts/update_plugins.sh


changelog:
# github-changelog is a local tool which parses the changelog and automatically
# closes issues mentioned in the changelog entries.
	github-changelog $(DRYRUN) $(GITUSER) $(GITREPO) doc/changelog.txt

.PHONY: update-copyright deb test clean distclean count pyflakes changelog
.PHONY: doccheck check releasecheck release dist chmod localbuild sign
.PHONY: register tag homepage

=== debian/changelog ===
dosage (2.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 18 Jul 2013 23:37:09 +0200

dosage (2.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 24 Jun 2013 22:29:23 +0200

dosage (2.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 01 May 2013 08:33:41 +0200

dosage (2.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 30 Apr 2013 07:45:09 +0200

dosage (2.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 14 Apr 2013 09:03:07 +0200

dosage (2.0-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 11 Apr 2013 20:44:35 +0200

dosage (1.15-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 25 Mar 2013 19:52:49 +0100

dosage (1.14-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 21 Mar 2013 19:05:18 +0100

dosage (1.13-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 11 Mar 2013 09:41:20 +0100

dosage (1.12-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 04 Mar 2013 19:44:01 +0100

dosage (1.11-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 01 Mar 2013 21:00:40 +0100

=== debian/control ===
Source: dosage
Section: net
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.7)
X-Python-Version: >= 2.7
Standards-Version: 3.9.4
Homepage: http://wummel.github.io/dosage/

Package: dosage
Architecture: all
Depends: python-requests,
         ${python:Depends},
         ${misc:Depends}
Suggests: python-argcomplete
Provides: ${python:Provides}
Description: comic strip downloader and archiver
 Dosage downloads comic strips. It can retrieve just the latest
 strip in a comic, catch-up to the last strip downloaded, or download a
 strip for a particular date/index if the website layout allows it.

=== debian/watch ===
# watch control file for uscan
version=3
http://wummel.github.io/dosage/ \
  http://github.io/downloads/wummel/dosage/dosage-(.*).tar.gz

## dosage 2.8

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
 ARCHIVE_WIN32:=$(LAPPNAME)-$(VERSION).exe
 GITUSER:=wummel
 GITREPO:=$(LAPPNAME)
-WEB_META:=doc/web/app.yaml
+WEBPAGE:=$(HOME)/public_html/dosage-webpage.git
+WEBMETA:=doc/web/app.yaml
 DEBUILDDIR:=$(HOME)/projects/debian/official
 DEBORIGFILE:=$(DEBUILDDIR)/$(LAPPNAME)_$(VERSION).orig.tar.gz
 DEBPACKAGEDIR:=$(DEBUILDDIR)/$(LAPPNAME)-$(VERSION)
@@ -39,19 +40,19 @@
 	[ -f dist/$(ARCHIVE_WIN32).asc ] || gpg --detach-sign --armor dist/$(ARCHIVE_WIN32)
 
 upload:
-	github-upload $(GITUSER) $(GITREPO) \
-	  dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_WIN32) \
-	  dist/$(ARCHIVE_SOURCE).asc dist/$(ARCHIVE_WIN32).asc
+	cp dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_WIN32) \
+	  dist/$(ARCHIVE_SOURCE).asc dist/$(ARCHIVE_WIN32).asc \
+	  $(WEBPAGE)/dist
 
 homepage:
 # update metadata
-	@echo "version: \"$(VERSION)\"" > $(WEB_META)
-	@echo "name: \"$(APPNAME)\"" >> $(WEB_META)
-	@echo "lname: \"$(LAPPNAME)\"" >> $(WEB_META)
-	@echo "maintainer: \"$(MAINTAINER)\"" >> $(WEB_META)
-	@echo "author: \"$(AUTHOR)\"" >> $(WEB_META)
+	@echo "version: \"$(VERSION)\"" > $(WEBMETA)
+	@echo "name: \"$(APPNAME)\"" >> $(WEBMETA)
+	@echo "lname: \"$(LAPPNAME)\"" >> $(WEBMETA)
+	@echo "maintainer: \"$(MAINTAINER)\"" >> $(WEBMETA)
+	@echo "author: \"$(AUTHOR)\"" >> $(WEBMETA)
 	git add doc/web/app.yaml
-	git commit -m "Updated webpage meta info"
+	-git commit -m "Updated webpage meta info"
 # update documentation and release website
 	$(MAKE) -C doc
 	$(MAKE) -C doc/web release

=== debian/changelog ===
dosage (2.8-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 08 Dec 2013 11:31:24 +0100

dosage (2.7-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 24 Nov 2013 12:27:29 +0100

dosage (2.6-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 12 Nov 2013 20:43:17 +0100

## dosage 2.12

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 # This Makefile is only used by developers.
+# See doc/install.txt on how to install dosage
 PYTHON:=python
 VERSION:=$(shell $(PYTHON) setup.py --version)
 MAINTAINER:=$(shell $(PYTHON) setup.py --maintainer)

=== doc/Makefile ===
all:	dosage.1.html dosage.txt

dosage.txt: dosage.1
# make text file from man page for Windows builds
	cols=`stty size | cut -d" " -f2`; stty cols 72; man -l $< | sed -e 's/.\cH//g' > $@; stty cols $$cols

dosage.1.html: dosage.1
	man2html -r $< | tail -n +2 | sed 's/Time:.*//g' | sed 's@/:@/@g' > $@
	patch --no-backup-if-mismatch --quiet $@ dosage.1.html.diff

.PHONY: all

=== doc/icon/Makefile ===
ICOICONS := logo16x16.png logo32x32.png
ICNSICONS := logo16x16.png logo32x32.png logo48x48.png logo128x128.png

all:	favicon.ico favicon.icns

favicon.ico:	$(ICOICONS)
	png2ico favicon.ico $(ICOICONS)

favicon.icns:	$(ICNSICONS)
	png2icns favicon.icns $(ICNSICONS)

=== debian/changelog ===
dosage (2.12-1) unstable; urgency=low

  * New upstream release.
  * Unused files removed from upstream tarball.
    (Closes: #735768)

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 24 Jan 2014 23:20:45 +0100

dosage (2.11-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards version to 3.9.5
  * Updated debian/watch file.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 15 Jan 2014 19:41:12 +0100

dosage (2.10-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 05 Jan 2014 17:43:04 +0100

dosage (2.9-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 22 Dec 2013 13:43:23 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9),
                python-all (>= 2.7)
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://wummel.github.io/dosage/
 
 Package: dosage

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_configure:
# make sure the manifest is built
	python setup.py sdist --manifest-only

override_dh_auto_build:
# force usage of setup.py over Makefile
	dh_auto_build --buildsystem python_distutils

override_dh_installchangelogs:
# install custom changelog
	dh_installchangelogs doc/changelog.txt

ROOTDIR=$(CURDIR)/debian/dosage
ETCDIR=$(ROOTDIR)/etc

override_dh_auto_install:
# force usage of setup.py over Makefile
	dh_auto_install --buildsystem python_distutils
# install bash_completion script
	install -m 644 doc/dosage-completion $(ETCDIR)/bash_completion.d

override_dh_clean:
# clean generated files
	dh_clean _Dosage_configdata.py

override_dh_auto_test:
# do not run test suite when building

override_dh_builddeb:
# use xz for debian binary package compression
	dh_builddeb -- -Zxz

=== debian/watch ===
# dosage-(.*)\.tar\.gz
# watch control file for uscan
version=3
http://wummel.github.io/dosage/ \
  http://wummel\.github\.io/dosage/dist/dosage-(.*)\.tar\.gz

## dosage 2.15

=== Makefile ===
--- 
+++ 
@@ -5,16 +5,15 @@
 MAINTAINER:=$(shell $(PYTHON) setup.py --maintainer)
 AUTHOR:=$(shell $(PYTHON) setup.py --author)
 APPNAME:=$(shell $(PYTHON) setup.py --name)
-LAPPNAME:=$(shell echo $(APPNAME)|tr "[A-Z]" "[a-z]")
-ARCHIVE_SOURCE:=$(LAPPNAME)-$(VERSION).tar.gz
-ARCHIVE_WIN32:=$(LAPPNAME)-$(VERSION).exe
+ARCHIVE_SOURCE:=$(APPNAME)-$(VERSION).tar.gz
+ARCHIVE_WIN32:=$(APPNAME)-$(VERSION).exe
 GITUSER:=wummel
-GITREPO:=$(LAPPNAME)
-WEBPAGE:=$(HOME)/public_html/dosage-webpage.git
+GITREPO:=$(APPNAME)
+HOMEPAGE:=$(HOME)/public_html/dosage-webpage.git
 WEBMETA:=doc/web/app.yaml
 DEBUILDDIR:=$(HOME)/projects/debian/official
-DEBORIGFILE:=$(DEBUILDDIR)/$(LAPPNAME)_$(VERSION).orig.tar.gz
-DEBPACKAGEDIR:=$(DEBUILDDIR)/$(LAPPNAME)-$(VERSION)
+DEBORIGFILE:=$(DEBUILDDIR)/$(APPNAME)_$(VERSION).orig.tar.gz
+DEBPACKAGEDIR:=$(DEBUILDDIR)/$(APPNAME)-$(VERSION)
 # Default pytest options
 # Note that using -n silently swallows test creation exceptions like
 # import errors.
@@ -33,27 +32,33 @@
 
 dist:
 	[ -d dist ] || mkdir dist
-	git archive --format=tar --prefix=$(LAPPNAME)-$(VERSION)/ HEAD | gzip -9 > dist/$(ARCHIVE_SOURCE)
+	$(PYTHON) setup.py sdist --formats=tar
+	gzip --best dist/$(APPNAME)-$(VERSION).tar
 	[ ! -f ../$(ARCHIVE_WIN32) ] || cp ../$(ARCHIVE_WIN32) dist
 
 sign:
 	[ -f dist/$(ARCHIVE_SOURCE).asc ] || gpg --detach-sign --armor dist/$(ARCHIVE_SOURCE)
 	[ -f dist/$(ARCHIVE_WIN32).asc ] || gpg --detach-sign --armor dist/$(ARCHIVE_WIN32)
 
-upload:
-	cp dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_WIN32) \
-	  dist/$(ARCHIVE_SOURCE).asc dist/$(ARCHIVE_WIN32).asc \
-	  $(WEBPAGE)/dist
+upload:	upload_source upload_binary
 
-homepage:
+upload_source:
+	twine upload dist/$(ARCHIVE_SOURCE) dist/$(ARCHIVE_SOURCE).asc
+
+upload_binary:
+	cp dist/$(ARCHIVE_WIN32) dist/$(ARCHIVE_WIN32).asc \
+	  $(HOMEPAGE)/dist
+
+update_webmeta:
 # update metadata
 	@echo "version: \"$(VERSION)\"" > $(WEBMETA)
 	@echo "name: \"$(APPNAME)\"" >> $(WEBMETA)
-	@echo "lname: \"$(LAPPNAME)\"" >> $(WEBMETA)
 	@echo "maintainer: \"$(MAINTAINER)\"" >> $(WEBMETA)
 	@echo "author: \"$(AUTHOR)\"" >> $(WEBMETA)
-	git add doc/web/app.yaml
+	git add $(WEBMETA)
 	-git commit -m "Updated webpage meta info"
+
+homepage: update_webmeta
 # update documentation and release website
 	$(MAKE) -C doc
 	$(MAKE) -C doc/web release
@@ -68,8 +73,6 @@
 register:
 	@echo "Register at Python Package Index..."
 	$(PYTHON) setup.py register
-	@echo "Submit to freecode..."
-	freecode-submit < $(LAPPNAME).freecode
 
 releasecheck:
 	git checkout master
@@ -83,10 +86,7 @@
 	  echo "Missing WIN32 distribution archive at ../$(ARCHIVE_WIN32)"; \
 	  false; \
 	fi
-	@if ! grep "Version: $(VERSION)" $(LAPPNAME).freecode > /dev/null; then \
-	  echo "Could not release: edit $(LAPPNAME).freecode version"; false; \
-	fi
-	$(PYTHON) setup.py check --restructuredtext
+#	$(PYTHON) setup.py check --restructuredtext
 	git checkout debian
 	@if ! head -1 debian/changelog | grep "$(VERSION)" > /dev/null; then \
 	  echo "Could not release: update debian/changelog version"; false; \
@@ -125,7 +125,7 @@
 	rm -rf build dist
 
 distclean: clean
-	rm -rf $(APPNAME).egg-info $(LAPPNAME).prof test.sh Comics
+	rm -rf $(APPNAME).egg-info $(APPNAME).prof test.sh Comics
 	rm -f _$(APPNAME)_configdata.py MANIFEST
 
 localbuild:
@@ -142,7 +142,7 @@
 # To build a local .deb package, use:
 # $ sudo apt-get build-dep dosage; apt-get source dosage; cd dosage-*; debuild binary
 	[ -f $(DEBORIGFILE) ] || cp dist/$(ARCHIVE_SOURCE) $(DEBORIGFILE)
-	sed -i -e 's/VERSION_$(LAPPNAME):=.*/VERSION_$(LAPPNAME):=$(VERSION)/' $(DEBUILDDIR)/$(LAPPNAME).mak
+	sed -i -e 's/VERSION_$(APPNAME):=.*/VERSION_$(APPNAME):=$(VERSION)/' $(DEBUILDDIR)/$(APPNAME).mak
 	[ -d $(DEBPACKAGEDIR) ] || (cd $(DEBUILDDIR); \
 	  patool extract $(DEBORIGFILE); \
 	  cd $(CURDIR); \
@@ -150,7 +150,7 @@
 	  cp -r debian $(DEBPACKAGEDIR); \
 	  rm -f $(DEBPACKAGEDIR)/debian/.gitignore; \
 	  git checkout master)
-	$(MAKE) -C $(DEBUILDDIR) $(LAPPNAME)_clean $(LAPPNAME)
+	$(MAKE) -C $(DEBUILDDIR) $(APPNAME)_clean $(APPNAME)
 
 update-copyright:
 # update-copyright is a local tool which updates the copyright year for each

=== requirements.txt ===
# required:
requests
# optional:
argcomplete

=== debian/changelog ===
dosage (2.15-4) unstable; urgency=medium

  * QA upload.
  * Drop NEWS from 2013.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Source-only upload.  (Closes: #953682)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Mar 2020 22:00:04 +0100

dosage (2.15-3) unstable; urgency=medium

  * QA upload.
  * switch to python3; Closes: #936439
  * debian/control
    - bump Standards-Version to 4.4.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 02 Sep 2019 12:25:22 -0400

dosage (2.15-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA group
  * Updated watch file
  * Install bash completion to correct directory
  * Bumped standards version to 3.9.8
  * Converted copyright to DEP-5

 -- David William Richmond Jones <dwrj87@gmail.com>  Wed, 29 Jun 2016 12:41:13 +0100

dosage (2.15-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 03 Jul 2014 21:48:24 +0200

dosage (2.14-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 08 Jun 2014 21:58:56 +0200

dosage (2.13-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 04 Mar 2014 20:55:42 +0100

=== debian/control ===
Source: dosage
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3
Standards-Version: 4.5.0
Homepage: http://dosage.rocks

Package: dosage
Architecture: all
Depends: python3-requests,
         ${python3:Depends},
         ${misc:Depends}
Suggests: python3-argcomplete
Provides: ${python3:Provides}
Description: comic strip downloader and archiver
 Dosage downloads comic strips. It can retrieve just the latest
 strip in a comic, catch-up to the last strip downloaded, or download a
 strip for a particular date/index if the website layout allows it.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
# make sure the manifest is built
	python3 setup.py sdist --manifest-only

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.txt

ROOTDIR=$(CURDIR)/debian/dosage

override_dh_auto_install:
	python3 setup.py install --root=debian/dosage --install-layout=deb;
	install -m 644 doc/dosage-completion $(ROOTDIR)/usr/share/bash-completion/completions

override_dh_clean:
# clean generated files
	dh_clean _Dosage_configdata.py _dosage_configdata.py

override_dh_auto_test:
# do not run test suite when building

## dosage 3.0%2Bdfsg

=== debian/changelog ===
dosage (3.0+dfsg-2) unstable; urgency=medium

  * remove extraneous dependencies on old backported libraries
    python3-cached-property python3-importlib-metadata.
  * replace usage of deprecated distuils by python3-packaging

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Dec 2023 22:01:55 +0100

dosage (3.0+dfsg-1) unstable; urgency=medium

  * Adopt package (Closes: #774995)
  * New upstream version 3.0
  * redo d/rules, fix FTBFS (Closes: #1054797, #1044442)
  * repack to remove vendored example website with fonts and js
  * create Salsa repository
  * use newer dh-sequence-python3
  * Update standards version to 4.6.2, no more changes needed.

  [ Janitor ]
  * Use correct machine-readable copyright file URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Add missing build-dependency on python3-setuptools.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 08 Dec 2023 11:59:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,23 @@
 Source: dosage
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-python,
-               python3
-Standards-Version: 4.5.0
-Homepage: http://dosage.rocks
+Maintainer: Alexandre Detiste <tchet@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
+               python3,
+               python3-colorama,
+               python3-setuptools
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://dosage.rocks
+Vcs-Git: https://salsa.debian.org/debian/dosage.git
+Vcs-Browser: https://salsa.debian.org/debian/dosage
 
 Package: dosage
 Architecture: all
 Depends: python3-requests,
+         python3-packaging,
          ${python3:Depends},
          ${misc:Depends}
 Suggests: python3-argcomplete

## dosage 3.0+dfsg

=== requirements.txt ===
appdirs
colorama
imagesize
lxml>=4.0.0
requests>=2.0
cached_property; python_version<'3.8'
importlib_metadata; python_version<'3.8'

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
                pybuild-plugin-pyproject,
                python3,
                python3-colorama,
-               python3-setuptools
+               python3-setuptools,
+               python3-setuptools-scm
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://dosage.rocks

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dosage-$1\.tar\.gz/,repacksuffix=+dfsg1,repack,dversionmangle=auto \
  https://github.com/webcomics/dosage/tags .*/v?(\d\S*)\.tar\.gz

## dosage 3.2

=== debian/changelog ===
dosage (3.2-1) unstable; urgency=medium

  * New upstream version 3.2
  * Switch to X-Style: black
  * Add debian/salsa-ci.yml
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Remove patch applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Feb 2026 17:44:55 +0100

dosage (3.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
    (Closes: #1069832)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 25 Apr 2024 16:49:40 +0300

=== debian/control ===
Source: dosage
Section: net
Maintainer: Alexandre Detiste <tchet@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-colorama,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.3
Homepage: https://dosage.rocks
Vcs-Git: https://salsa.debian.org/debian/dosage.git
Vcs-Browser: https://salsa.debian.org/debian/dosage
X-Style: black

Package: dosage
Architecture: all
Depends:
 python3-packaging,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-argcomplete,
Provides:
 ${python3:Provides},
Description: comic strip downloader and archiver
 Dosage downloads comic strips. It can retrieve just the latest
 strip in a comic, catch-up to the last strip downloaded, or download a
 strip for a particular date/index if the website layout allows it.
